> ## Documentation Index
> Fetch the complete documentation index at: https://developers.onidel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Open a noVNC console session

> Creates a noVNC console session for the specified VM.
Returns a URL to access the VM console via noVNC in a browser.
The session token expires after 30 seconds if not used.



## OpenAPI

````yaml /api-reference/openapi.yaml post /vm/{vm_id}/vnc
openapi: 3.0.3
info:
  title: Onidel Cloud API - OpenAPI 3.0
  description: >-
    Welcome to the **Onidel Cloud API** documentation. This API allows
    developers to seamlessly integrate with the Onidel Cloud platform, enabling
    them to manage cloud resources efficiently and securely. With our API, you
    can automate processes, retrieve detailed account information, and manage
    virtual machines (VPS), networking, storage, and more.
  termsOfService: https://docs.onidel.com/policies/terms-of-service
  contact:
    email: support@onidel.com
  version: 1.2.0
servers:
  - url: https://api.cloud.onidel.com
security: []
tags:
  - name: SSH Key
    description: Manage SSH keys for secure server access.
  - name: VPC
    description: Manage Virtual Private Cloud (VPC) networks for isolated networking.
  - name: Firewall
    description: Manage firewall groups for VM security.
  - name: OS Template
    description: >-
      We have a wide range of operating systems available to deploy server
      instances.
  - name: Instance Type
    description: We provide different instance types for different workload.
  - name: Startup Script
    description: >-
      Manage startup scripts that run on first boot of a server instance.
      Maximum 10 scripts per team.
  - name: IP List
    description: >-
      Manage IP lists for use in firewall rules. IP lists group multiple IP
      addresses/CIDRs together.
  - name: Firewall Rule
    description: Manage firewall rules within a firewall group.
  - name: Object Storage
    description: Manage S3-compatible object storage services, buckets, and access keys.
  - name: Custom ISO
    description: Manage custom ISO images that can be used to boot server instances (BYOI).
  - name: Measured Boot Image
    description: >-
      Manage SEV-SNP measured direct boot images (UKIs) and attach/detach them
      to instances.
paths:
  /vm/{vm_id}/vnc:
    post:
      tags:
        - Virtual Machine
      summary: Open a noVNC console session
      description: |-
        Creates a noVNC console session for the specified VM.
        Returns a URL to access the VM console via noVNC in a browser.
        The session token expires after 30 seconds if not used.
      operationId: createVNCSession
      parameters:
        - name: vm_id
          in: path
          description: VM UUID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                team_id:
                  type: string
                  format: uuid
                  description: Team ID. Default team will be used if not provided.
                  example: 96616865-475e-4191-aba5-f89f0a4b71fe
      responses:
        '201':
          description: VNC session created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  vnc_url:
                    type: string
                    description: URL to access the noVNC console in a browser
                    example: >-
                      https://console.onidel.com/vnc.html?sessionid=48e5f117-9f38-40b6-8fd9-c3ccc8f916c6&vmid=afebf42d-aced-4dd4-877b-c2aa4f887ac3
                  expire_at:
                    type: integer
                    description: >-
                      Unix timestamp when the session token expires (30 seconds
                      after creation)
                    example: 1775193067
        '401':
          description: Unauthorized
        '404':
          description: VM not found
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: http
      scheme: bearer

````